import { GetPackageStatsOptions, InstallPackageOptions } from './common.types'
export declare function getAllPackageExports(
  packageString: string,
  options?: InstallPackageOptions
): Promise<{
  [key: string]: string
}>
export declare function getPackageExportSizes(
  packageString: string,
  options?: GetPackageStatsOptions
): Promise<
  | {
      assets: {
        path: string
        name: string
        type: string
        size: number
        gzip: number
        parse:
          | {
              baseParseTime: number
              scriptParseTime: number
            }
          | {
              baseParseTime?: undefined
              scriptParseTime?: undefined
            }
          | null
      }[]
      dependencySizes?:
        | {
            name: string
            approximateSize: number
          }[]
        | undefined
    }
  | {
      assets: {
        path: string
        name: string
        type: string
        size: number
        gzip: number
        parse:
          | {
              baseParseTime: number
              scriptParseTime: number
            }
          | {
              baseParseTime?: undefined
              scriptParseTime?: undefined
            }
          | null
      }[]
      dependencySizes?:
        | {
            name: string
            approximateSize: number
          }[]
        | undefined
      ignoredMissingDependencies: any
    }
>
