/**
 * Parts of the code are inspired from the `import-cost` project
 * @see https://github.com/wix/import-cost/blob/master/packages/import-cost/src/webpack.js
 */
import { GetPackageStatsOptions } from './common.types'
export default function getPackageStats(
  packageString: string,
  optionsRaw: GetPackageStatsOptions
): Promise<
  | {
      size: number
      gzip: number
      parse:
        | {
            baseParseTime: number
            scriptParseTime: number
          }
        | {
            baseParseTime?: undefined
            scriptParseTime?: undefined
          }
        | null
      dependencySizes?:
        | {
            name: string
            approximateSize: number
          }[]
        | undefined
      assets: {
        name: string
        type: string
        size: number
        gzip: number
        parse:
          | {
              baseParseTime: number
              scriptParseTime: number
            }
          | {
              baseParseTime?: undefined
              scriptParseTime?: undefined
            }
          | null
      }[]
      dependencyCount?: number | undefined
      hasJSNext?: any
      hasJSModule?: any
      isModuleType?: boolean | undefined
      hasSideEffects?: any
      peerDependencies?: string[] | undefined
    }
  | {
      size: number
      gzip: number
      parse:
        | {
            baseParseTime: number
            scriptParseTime: number
          }
        | {
            baseParseTime?: undefined
            scriptParseTime?: undefined
          }
        | null
      dependencySizes?:
        | {
            name: string
            approximateSize: number
          }[]
        | undefined
      assets: {
        name: string
        type: string
        size: number
        gzip: number
        parse:
          | {
              baseParseTime: number
              scriptParseTime: number
            }
          | {
              baseParseTime?: undefined
              scriptParseTime?: undefined
            }
          | null
      }[]
      ignoredMissingDependencies: any
      dependencyCount?: number | undefined
      hasJSNext?: any
      hasJSModule?: any
      isModuleType?: boolean | undefined
      hasSideEffects?: any
      peerDependencies?: string[] | undefined
    }
>
